#!/usr/bin/env bash

GEOSPHERE_NAMESPACE="${GEOSPHERE_NAMESPACE:-"geosphere"}"
GEOSPHERE_TEST_NAMESPACE="${GEOSPHERE_TEST_NAMESPACE:-"geosphere-test"}"
TESTS_NAMESPACE="${TESTS_NAMESPACE:-"geosphere-ci-tests"}"

if [[ -n "$CI_COMMIT_TAG" ]]; then
    if [[ $CI_COMMIT_TAG =~ $GEOSPHERE_TAG_REGEX ]]; then
        ns="${GEOSPHERE_NAMESPACE}";
    elif [[ $CI_COMMIT_TAG =~ $GEOSPHERE_TEST_TAG_REGEX ]]; then
        ns="${GEOSPHERE_TEST_NAMESPACE}";
    elif [[ $CI_COMMIT_TAG =~ $GCP_TAG_REGEX ]]; then
        ns="${GCP_NAMESPACE}";
    fi
elif [[ $CI_COMMIT_BRANCH =~ $TESTS_BRANCH_REGEX ]]; then
    ns="${TESTS_NAMESPACE}";
fi

if [[ -z $ns ]]; then
    echo "ERROR: Kubernetes jobs don't run unless in master branch or tagged"
    exit 1
fi

echo $ns
